Skip to main content
`Ctrl`+`K`

# PETSC_VIEWER_DRAW_

Creates a window `PETSCVIEWERDRAW` `PetscViewer` shared by all processors in an MPI communicator.

## Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscViewer PETSC_VIEWER_DRAW_(MPI_Comm comm)

Collective

## Input Parameter

- comm - the MPI communicator to share the window `PetscViewer`

## Notes

This object is destroyed in `PetscFinalize()`, `PetscViewerDestroy()` should never be called on it

Unlike almost all other PETSc routines, `PETSC_VIEWER_DRAW_()` does not return an error code. The window is usually used in the form

    XXXView(XXX object, PETSC_VIEWER_DRAW_(comm));

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERDRAW`, `PetscViewer`, `PETSC_VIEWER_DRAW_WORLD`, `PETSC_VIEWER_DRAW_SELF`, `PetscViewerDrawOpen()`,

## Level

intermediate

## Location

src/sys/classes/viewer/impls/draw/drawv.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages